<?php

namespace App\Http\Requests\Blog;

use Carbon\Carbon;
use Illuminate\Foundation\Http\FormRequest;

class StoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'title' => 'required',
            'description' => 'required',
            'image' => 'required',
        ];
    }

    public function handleRequest(){
        $req = $this->all();
        $req['image'] = $this->file('image')->store('Blog' , 'upload');
        $req['date'] = Carbon::now();
        return $req;
    }
}
